Problem with surface.booleanIntersect
@Matti_Pirinen wrote: Hi, I'm trying to create a freeform gridshell structure with grasshopper and coding and for the data handling I've created two classes in ghpython object: Risteyspiste: In this...
View ArticleBrief resume about UserDatas?
@Markus_Erhardt wrote: Hi Everybody, I am looking for a brief resume about "user Datas". You can attach new properties to objects with the "Objects user datas", like I class you have previously...
View ArticleAffecting Objects UserData
@Markus_Erhardt wrote: hi, is it possible to affect simply an object user data without to use the Rhino.Input.GetOneObject() ? I ask this because it seems to be the way you interact with the user,...
View ArticleWhat is the best way to implement plugin options?
@Alberto wrote: I am implementing a plugin that need some customization and I would like to add a couple of options for the user. I would like to understand if there are some best practices or I...
View ArticleExploding a joined Curve C++
@dimcic wrote: Hi, I was wondering how can I "extract" single curves after they have been joined. For example if I have two parallel splines connected with two straight lines at their ends and then...
View Article[C++] Making grips unselectable, unpickable
@menno wrote: For custom objects we want to be able to only show a sub set of the control points (grips). What currently works, is to override int Pick(const CRhinoPickContext& pick_context, class...
View Article2d dynamic arrays to be readable/writable
@pagarcia wrote: Hi, In my plugin I'd need to have an array of double arrays of variable size, as part of my custom user data. I was using ON_SimpleArray<ON_SimpleArray<double>>, though...
View Article[Defect?] ObjectAttributes.PlotWeight has no effect – even with...
@jups23 wrote: I wonder why setting the PlotWeight property has no effect. Positive and negative values always display the standard point, whereas the color can be changed. I set both the...
View ArticleBug : RS : unable to set Target independently of Camera in 2PointPerspective...
@Jarek wrote: Hi @Dale, As in the subject, any changes to Target do nothing, changes to Camera position only always drag the target.We need to be able to set the camera and keep the target in place or...
View ArticleDetermine which BrepFace is on the left side of the BrepEdge
@Biljana wrote: Hi all I have one issue. I have ON_Brep object and I need to determine which face is on left side and which face is on right side of each BrepEdge (exept boundary edges) according to...
View ArticleCrash when declaring 2D dynamic arrays
@pagarcia wrote: Hi, In this example I'm defining an array test as { {0,1}, {0,1,2} } ON_SimpleArray<ON_SimpleArray<int>> test; test.Reserve(2); test.SetCount(2); test[0].Reserve(2);...
View ArticleLicensing System Recommendation
@cristina.b wrote: Hi, Could you please recommend a licensing system for RhinoCommon plug-ins? Thank you! Cristina Posts: 4 Participants: 4 Read full topic
View ArticleCast RhinoObject to CurveObject
@ing_sosa wrote: Hi! I'm using C# and VS2015 to build a FEM plugin for Rhino. In one of my scripts I need to create many lines and add them to a CurveObject List. When creating the line, I do: Guid...
View ArticleSelect/Pick object in a detail from within a layout view
@Willem wrote: Hi, I'm looking for a way to pick/select an object within a detail while working in a Layout view.Specifically I'd like to pick a single object visible in the detail to use for...
View ArticleDeselecting objects after GetObject selection
@Taavi_Looke wrote: When the user selects an object in the model with the GetObject calls, this object seems to stay highlighted or selected (yellow in the UI) until another call to GetObject is made....
View ArticleRender/Application Settings in Rhinocommon
@henrydm wrote: Hello, Anyone know if there is a way to change Background Display properties from "Use Render Settings" to "Use Application Settings" as shown in the image but by code using...
View ArticleFindclippingplanesforviewport" method
@serdem wrote: Hi,I am trying to use "findclippingplanesforviewport" method as the below codes.RhinoDoc doc = RhinoDoc.ActiveDoc; RhinoView viewe = doc.Views.ActiveView;ClippingPlaneObject[] cpl =...
View ArticleHow do we remove viewportid from clipping plane
@serdem wrote: Hi,How do we remove viewportid from clipping plane?I get the list with the following code, but i can not remove any. ClippingPlaneSurface cs = ak.ClippingPlaneGeometry;cs.ViewportIds();...
View ArticleGH/VBScript - Replace Block Definition while keeping Instances?
@RIL wrote: Q: Is it possible to keep Block Instances while updating (replacing) the Block Definition, and then re-reference the Instances back to the (updated/replaced) Block Definition again? In the...
View ArticleQuit process that takes too long
@AleksandarSM wrote: Hello, I made command that works in the loop - finds and unrolls the largest surface within each polysurface, but the command sometimes hangs ( rhino becomes non-responsive )...
View Article